import request from '@/utils/request'

// 查询店铺员工列表
export function mchListStoreStaff(query) {
  return request({
    url: '/mch/storeStaff/list',
    method: 'get',
    params: query
  })
}

// 查询店铺员工详细
export function mchGetStoreStaff(employId) {
  return request({
    url: '/mch/storeStaff/' + employId,
    method: 'get'
  })
}

// 新增店铺员工
export function mchAddStoreStaff(data) {
  return request({
    url: '/mch/storeStaff',
    method: 'post',
    data: data
  })
}

// 修改店铺员工
export function mchUpdateStoreStaff(data) {
  return request({
    url: '/mch/storeStaff',
    method: 'put',
    data: data
  })
}

// 删除店铺员工
export function mchDelStoreStaff(employId) {
  return request({
    url: '/mch/storeStaff/' + employId,
    method: 'delete'
  })
}
